## org.eclipse.m2m.atl.engine.ocl
Class OclEvaluator

    java.lang.Object
      org.eclipse.m2m.atl.engine.ocl.OclEvaluator

Direct Known Subclasses:
  OclHelper, OclQuery

    public abstract class OclEvaluator

extends java.lang.Object

Utility to evaluate ocl.

Field Summary
`protected org.eclipse.emf.ecore.EObject[]` `pbs`

Constructor Summary
`OclEvaluator()`

Method Summary
`protected ASM` `compile(java.lang.String atlArg)` Compiles an atl string into asm.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pbs

    protected org.eclipse.emf.ecore.EObject[] pbs

Constructor Detail

### OclEvaluator

    public OclEvaluator()

Method Detail

### compile

    protected ASM compile(java.lang.String atlArg)
                   throws java.io.IOException

  Compiles an atl string into asm.

  Parameters:
    `atlArg` - the string
  Returns:
    the ASM file
  Throws:
    `java.io.IOException`

Copyright 2007 IBM Corporation and others. All Rights Reserved.